﻿using Layer2.SharePoint.UI.Administration.Lists;
using Microsoft.SharePoint;

namespace Layer2.Products.BdlcApiExamples
{
    class InitialWriteback
    {
        /// <summary>
        /// This method will write back data from an existing and filled SharePoint list to your connected data source.
        /// Only matching columns will be treated. Make sure your data source is configured properly and provides a primary key for identification.
        /// NOTE: This will also work if the data source table is populated already with data. Then it will overwrite any existing data with matching primary keys.
        /// </summary>
        /// <param name="list">The SharePoint list you want to sync into your external source</param>
        /// <returns>If everything works fine: String.Empty. OTHERWISE the error message.</returns>
        public static string DoInitialWriteback(SPList list)
        {
            var logic = new BusinessDataListConnectorLogic();
            logic.Init(list);
            return logic.InitialWriteback();
        }
    }
}
